### Method

# Cogl SubTexture get_parent

#### Declaration [src]

    CoglTexture*
    cogl_sub_texture_get_parent (
      CoglSubTexture* sub_texture
    )

#### Description [src]

Retrieves the parent texture that `sub_texture` derives its content from. This is the texture that was passed to `cogl_sub_texture_new()` as the parent_texture argument.

#### Return value

Type: `CoglTexture`

The parent texture that `sub_texture` derives its content from.

The returned data is owned by the instance.